%define upstream_name    Text-Clip
%define upstream_version 0.0014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Clip and extract text in clipboard-like way
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
Text::Clip allows you to mark/slice up a piece of text. String matching (by
regular expression, etc.) is used to place marks. The first mark lets you
access the text preceding and following the mark. Subsequent marks allow
you to slurp up the text "clipped" between the marks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.400-7.mga8
+ Revision: 1497622
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.1.400-6.mga7
+ Revision: 1272029
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.400-5.mga6
+ Revision: 1034902
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.1.400-4.mga6
+ Revision: 944207
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.400-3.mga5
+ Revision: 739334
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.400-2.mga5
+ Revision: 686609
- Mageia 5 Mass Rebuild

* Thu Apr 24 2014 shlomif <shlomif> 0.1.400-1.mga5
+ Revision: 617564
- imported package perl-Text-Clip


* Thu Apr 24 2014 cpan2dist 0.0014-1mga
- initial mageia release, generated with cpan2dist
